# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/ata/ata-generic.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Generic Parallel ATA Controller

maintainers:
  - Linus Walleij <linusw@kernel.org>

description:
  Generic Parallel ATA controllers supporting PIO modes only.

properties:
  compatible:
    items:
      - enum:
          - arm,vexpress-cf
          - fsl,mpc8349emitx-pata
      - const: ata-generic

  reg:
    items:
      - description: Command interface registers
      - description: Control interface registers

  reg-shift:
    enum: [ 1, 2 ]

  interrupts:
    maxItems: 1

  ata-generic,use16bit:
    type: boolean
    description: Use 16-bit accesses instead of 32-bit for data transfers

  pio-mode:
    description: Maximum ATA PIO transfer mode
    $ref: /schemas/types.yaml#/definitions/uint32
    maximum: 6
    default: 0

required:
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    compact-flash@1a000 {
        compatible = "arm,vexpress-cf", "ata-generic";
        reg = <0x1a000 0x100>,
              <0x1a100 0xf00>;
        reg-shift = <2>;
    };
...
